package com.doverfuelingsolutions.issp.utils.download

import com.doverfuelingsolutions.issp.utils.download.entity.PackageVersion

interface DownloadCallback {

    fun onChecked(version: PackageVersion?){}

    /**
     * 加载进度
     * @param loadLen 已加载进度
     * @param contentLen 总进度
     */
    fun onLoading(loadLen:Int,contentLen:Int){}

    fun onDownload(isSuccess:Boolean){}

}